#ConvertSourceFile

## Description
Th program contains:

- A GUI to:

  - connect to api.hexoskin.com to download raw hexoskin data
  - convert the raw Hexoskin file to .csv.
- A command line tool to:
  - convert the raw Hexoskin file to .csv.

## api key
The the compiled version of the program access directly to api.hexoskin.com. If you make your own build, you'll need an api key. Please, contact api.hexoskin.com.

## Compilation instruction

    pyinstaller  convertSourceFile_mac.spec   # may not work with anaconda3
	pyinstaller  convertSourceFile_mac_command_line.spec
	pyinstaller  convertSourceFile_windows.spec
	pyinstaller  convertSourceFile_windows_command_line.spec


## Running the program

- From the command line
 
        $ python convertSourceFile.py
- From windows:

        execute HxConvertSourceFile.exe
        
- From mac:

        execute HxConvertSourceFile.app


## Running the command line program

- From the command line
 
        $ python convertSourceFile.py -h
- From windows command line:

        $ HxConvertSourceFile_cmd.exe -h
        
- From mac command line:

        $ HxConvertSourceFile -h
